Subject: [art] Re: [Uri-review] Re: Alternative representation of URIs in YANG
From: "Martin Thomson" <[email-masked]>
To: "Kent Watsen" <[email-masked]>, "Dale R. Worley" <[email-masked]>
Cc: Tim Bray <[email-masked]>, Mahesh Jethanandani <[email-masked]>, tom petch <[email-masked]>, [email-masked], "[email-masked]" <[email-masked]>, [email-masked]
Date: Fri, 23 Jan 2026 08:46:06 +1100
List-Id: Applications and Real-Time Area Discussion <art.ietf.org>

On Fri, Jan 23, 2026, at 02:00, Kent Watsen wrote:
> Martin, since you're the one blocking the draft, can you state which of 
> these options are okay and which options are not okay with you?

Not blocking personally.  I did raise the issue, but would follow consensus (which I think is in the hands of Mahesh to judge, ultimately).

I'd like to offer option 6.  Use the existing URI syntax from YANG.  It's a straight-up string, which is perfect because it avoids this whole mess entirely.